<?php
$opt = get_option('docy_opt');
$is_related_docs = isset($opt['is_related_docs']) ? $opt['is_related_docs'] : '';
$is_recent_docs = !empty($opt['is_recent_docs']) ? $opt['is_recent_docs'] : '';

$cats = get_the_terms(get_the_ID(), 'doc_tag');
$cat_ids = !empty($cats) ? wp_list_pluck($cats,'term_id') : '';
$related_post_count = !empty($opt['related_docs_count']) ? $opt['related_docs_count'] : 4;
$related_title = !empty($opt['related_docs_title']) ? $opt['related_docs_title'] : '';
$doc_posts = new WP_Query( array(
    'post_type' => 'docs',
    'tax_query' => array(
        array(
            'taxonomy' => 'doc_tag',
            'field' => 'id',
            'terms' => $cat_ids,
            'operator'=> 'IN' //Or 'AND' or 'NOT IN'
        )
    ),
    'posts_per_page' => -1,
    'ignore_sticky_posts' => 1,
    'orderby' => 'rand',
    'post__not_in'=>array($post->ID)
));

$is_more_toggle = isset($opt['is_more_toggle']) ? $opt['is_more_toggle'] : '1';
$more_toggle_ppp = !empty($opt['more_toggle_ppp']) ? $opt['more_toggle_ppp'] : '4';
?>

<?php
if ( $is_related_docs == '1' && $is_recent_docs == '1' ) :
    ?>
    <div class="row topic_item_tabs inner_tab_list related-recent-docs">
        <?php if ( $doc_posts->have_posts() && $is_related_docs == '1' ) : ?>
            <div class="col-lg-6">
                <div class="topic_list_item related-docs">
                    <?php if ( !empty($related_title) ) : ?>
                        <h4><?php echo esc_html($related_title) ?></h4>
                    <?php endif; ?>
                    <ul class="navbar-nav related-doc-list">
                        <?php
                        while( $doc_posts->have_posts() ) : $doc_posts->the_post();
                            ?>
                            <li>
                                <a href="<?php echo get_the_permalink(get_the_ID()) ?>">
                                    <i class="icon_document_alt"></i>
                                    <?php echo get_the_title(get_the_ID()) ?>
                                </a>
                            </li>
                            <?php
                        endwhile;
                        wp_reset_postdata();
                        ?>
                        <?php if ( $is_more_toggle == '1' ) : ?>
                            <li id="more-related" class="load-more">
                                <div class="fadeGradient"></div>
                                <ion-icon name="chevron-down-outline"></ion-icon>
                                <?php esc_html_e(' See More...', 'docy'); ?>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
        <?php endif; ?>

        <?php
        $recent_docs_title = !empty($opt['recent_docs_title']) ? $opt['recent_docs_title'] : '';
        $ft_cookie_posts = isset( $_COOKIE['docy_recent_posts'] ) ? json_decode( $_COOKIE['docy_recent_posts'], true ) : null;
        $ft_cookie_posts = isset($ft_cookie_posts) ? array_diff( $ft_cookie_posts, array( get_the_ID() ) ) : '';
        if ( is_array($ft_cookie_posts) && count( $ft_cookie_posts ) > 0 &&  isset( $ft_cookie_posts) && $is_recent_docs == '1' ) :
            ?>
            <div class="col-lg-6">
                <div class="topic_list_item">
                    <?php if ( !empty($recent_docs_title) ) : ?>
                        <h4><?php echo esc_html($recent_docs_title) ?></h4>
                    <?php endif; ?>
                    <ul class="navbar-nav recent-doc-list">
                        <?php
                        $count = 0;
                        foreach ( $ft_cookie_posts as $postId ) :
                            $ft_post = get_post( absint( $postId ) ); // Get the post
                            // Condition to display a post
                            if ( isset( $ft_post ) && in_array( $ft_post->post_type, ['docs'] ) ) {
                                $count ++;
                                ?>
                                <li><a href="<?php echo get_the_permalink($ft_post->ID) ?>">
                                        <i class="icon_document_alt"></i>
                                        <?php echo get_the_title($ft_post->ID) ?>
                                    </a>
                                </li>
                                <?php
                            }
                        endforeach;
                        ?>
                        <?php if ( $is_more_toggle == '1' ) : ?>
                            <li id="more-recent" class="load-more">
                                <div class="fadeGradient"></div>
                                <ion-icon name="chevron-down-outline"></ion-icon>
                                <?php esc_html_e(' See More...', 'docy'); ?>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
            <?php
        endif;
        ?>
    </div>

    <?php
    if ( $is_more_toggle == '1' ) : ?>
        <script>
            ;(function ($) {
                "use strict";

                $(document).ready(function() {
                    $('.topic_list_item ul.navbar-nav li:not(.load-more)').hide()

                    <?php if ( $is_related_docs == '1' ) : ?>
                        $("ul.related-doc-list li").slice(0, <?php echo esc_js($more_toggle_ppp) ?>).show()
                        $("#more-related").click(function(e) {
                            e.preventDefault()
                            $(".related-doc-list li:hidden").slice(0,<?php echo esc_js($more_toggle_ppp) ?>).fadeIn("slow");
                            if ( $("ul.related-doc-list li:hidden").length == 0 ){
                                $("#more-related").fadeOut("slow")
                            }
                        })
                    <?php endif; ?>

                    <?php if ( $is_recent_docs == '1' ) : ?>
                        $("ul.recent-doc-list li").slice(0,<?php echo esc_js($more_toggle_ppp) ?>).show()
                        $("#more-recent").click(function(e) {
                            e.preventDefault()
                            $(".recent-doc-list li:hidden").slice(0,<?php echo esc_js($more_toggle_ppp) ?>).fadeIn("slow");
                            if ( $("ul.recent-doc-list li:hidden").length == 0 ){
                                $("#more-recent").fadeOut("slow")
                            }
                        })
                    <?php endif; ?>
                })
            })(jQuery);
        </script>
        <?php
    endif;

endif;